
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>关于脚本中注释的五点建议 / iVAN</title>

    <meta name="description" content="关于脚本中注释的五点建议 脚本   当你学习某代码技术已经基本入门以后,自然会注意到提高代码质量的重要性,而书写注释则是提高代码质量的第一关--可能也是最容易的一关.以下是我总结的关于书写注释的一些建议! 一.切勿为了注释而注释! 为代码添加注释的最主要目的是提高代码可读性,但这里面还有一个心态问题:如果你认为,写了注释,就可以提高代码质量,就可以证明实力,那就错了,事情并没有那么简单. 相信一定有人在写注释的时候,没有把握正确的心态,这就导致写出来的注释往往不合时宜.什么是不合时宜的注释?我就写过这样的注释: -- '">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">关于脚本中注释的五点建议</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>脚本</p>
<p> <br />　　当你学习某代码技术已经基本入门以后，自然会注意到提高代码质量的重要性，而书写注释则是提高代码质量的第一关——可能也是最容易的一关。以下是我总结的关于书写注释的一些建议！</p>
<p>　　一、切勿为了注释而注释！</p>
<p>　　为代码添加注释的最主要目的是提高代码可读性，但这里面还有一个心态问题：如果你认为，写了注释，就可以提高代码质量，就可以证明实力，那就错了，事情并没有那么简单。</p>
<p>　　相信一定有人在写注释的时候，没有把握正确的心态，这就导致写出来的注释往往不合时宜。什么是不合时宜的注释？我就写过这样的注释：</p>
<p>　　……<br />　　'打开记录集，记录Orders表所有数据<br />　　objRS.Open "SELECT * FROM Orders",objConn,1,1<br />　　……<br />　　objRS.Close '关闭记录集<br />　　Set objRS=Nothing '释放记录集对象<br />　　……</p>
<p>　　明白了吧？这就是不合时宜的注释的情形之一：形式化的注释，往往会成为代码的累赘，甚至无法突出真正需要注释的地方，降低了代码的可读性。</p>
<p>　　这都是心态没有把握好的原因。如果能正确把握心态，就会把心思放到提高代码可读性上，而不是放到写注释上了！写注释只是提高代码可读性的手段之一，而且写注释也是要讲技巧和效率的。下面将对此进行讨论。</p>
<p>　　二、废话连篇的注释不是好注释！</p>
<p>　　在我看来，优秀的命名规范和代码格式往往比注释更能提高代码可读性。命名规范可以说明代码元素的作用，而代码格式则能使编程思路更清晰——不过很遗憾，它们无论如何都跳不出代码的圈圈，对代码的描述能力并不强，所以我们还是要依靠注释。</p>
<p>　　因此，我们应该先在命名规范和代码格式两个方面严格要求自己，然后再以注释为辅助来描述代码。——请不要怀疑，你读代码的时候是先看代码还是先看注释？一般的情况是，代码能明确说明的问题往往就不需要看注释了，比如上面第一点里写出的那些垃圾注释，没人会把它们当回事的（但被当作入门教程中的示例还不错）。当然，也有例外，以注释为代码主要描述手段的情况在第三点讨论。</p>
<p>　　什么样的注释才是合时宜的呢？在适当的地方，以适当的篇幅写出来的注释就是合时宜的。我不能给你更具体的答案，但方向已经指明了，你需要做的就是思考、参考、再思考……总之，让注释也和代码一样简单、优雅而又有效就是目标，这样的代码才能达到提高代码可读性的效果！</p>
<p>　　仅仅是合时宜还不够，如果注释含糊不清，仍然不是好注释！所以，让注释更准确地描述代码同样重要，特别是对函数/过程、技巧性质的代码段等。以昨天那篇文章（你抄近道了吗？——源自两个VBS过程的感慨）中提到的两个过程之一——GetRandom——为例，我为其作用的描述是：返回从源数组中随机抽取指定数目的位置不重复元素组成的新数组。如果让你描述它的作用，你会如何描述？请不要误会，我可不是在自卖自夸，我只是取了一个离自己最近的例子而已。</p>
<p>　　总之，好的注释，要合时宜，还要准确有效！否则不如不写。</p>
<p>　　三、外部文档往往比内部注释更有效！</p>
<p>　　你也许会奇怪，我上面强调了函数/过程和技巧性质的代码段的注释要准确，为什么我没有提到对类的注释呢？个人以为，如果程序广泛采用了面向（或者基于）对象的设计方法，对类的注释应该从长计议。情况之一是，如果类需要封装，那注释也只在设计时有效，对提高代码可读性的意义不大；情况之二是，类的设计和使用应该宏观把握，而代码中的注释往往是微观的描述，很难达到宏观描述的效果——比如许多用图才好描述的类关系，注释的效果就不好。</p>
<p>　　这个时候，我们就需要有外部文档了！不要问我什么是外部文档，如何写外部文档。总之，一切为提高代码可读性服务，做你能做的一切。</p>
<p>　　还有一个问题要说，到底该在什么时候写注释和文档呢？有些人是先把代码写好，再趁着自己没有淡忘之前把注释补上；有些人先写好设计草案，然后再开始写代码……其实没有对错，达到目的就好。——注意，理性统筹的正规项目工程开发不在讨论范围内，这种开发要考虑的因素太多了，不能那么随意的。</p>
<p>　　四、尽量避免客户端注释！</p>
<p>　　客户端注释的唯一缺点应该是增加I/O压力吧？大家可以算一算，如果为HTML和客户端脚本添加注释，主观估计将为每页增加1K字节，现在剩下的就是估计页访问量了……</p>
<p>　　为什么要为客户端脚本和HTML添加注释呢？特别是为HTML添加注释更是难以理解——也可能是我没见识吧，呵呵。标准化的B/S客户端设计讲究结构、呈现、行为的分离，我想这是对客户端代码最好的注释吧？</p>
<p>　　五、常审视和改善以前代码中的注释！</p>
<p>　　写注释很大程度上也是为了防止自己以后读到这些代码的时候也不明其意，所以，如果能经常审视和改善以前代码中的注释……呵呵，还是不多说了吧，相信大家用膝盖想也能明白其中的好处。——怎么感觉我的文章都是虎头蛇尾？</p>
<p>　　最后，祝所有专情的人好运！</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-01 09:13:57</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81/" title="代码">代码</a>, <a href="https://www.iamivan.net/tag/%e6%96%87%e6%a1%a3/" title="文档">文档</a>, <a href="https://www.iamivan.net/tag/%e5%ae%a2%e6%88%b7%e7%ab%af/" title="客户端">客户端</a>, <a href="https://www.iamivan.net/tag/%e5%8f%af%e8%af%bb%e6%80%a7/" title="可读性">可读性</a>, <a href="https://www.iamivan.net/tag/%e6%b3%a8%e9%87%8a/" title="注释">注释</a>, <a href="https://www.iamivan.net/tag/doxygen-%e6%b3%a8%e9%87%8a/" title="doxygen 注释">doxygen 注释</a>, <a href="https://www.iamivan.net/tag/%e6%b3%a8%e9%87%8aselectsqloracle/" title="注释selectsqloracle">注释selectsqloracle</a>, <a href="https://www.iamivan.net/tag/%e6%b3%a8%e9%87%8ajavascriptcss/" title="注释javascriptcss">注释javascriptcss</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81%e5%8f%af%e8%af%bb%e6%80%a7/" title="代码可读性">代码可读性</a>, <a href="https://www.iamivan.net/tag/%e4%bb%a3%e7%a0%81%e6%b3%a8%e9%87%8a/" title="代码注释">代码注释</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>关于脚本中注释的五点建议的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vbQG2Qp.html" rel="bookmark">关于在脚本中注释的几点建议和看法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				脚本 当你学习某代码技术已经基本入门以后,自然会注意到提高代码质量的重要性,而书写注释则是提高代码质量的第一关--可能也是最容易的一关.以下是我总结的关于书写注释的一些建议! 一.切勿为了注释而注释! 为代码添加注释的最主要目的是提高代码可读性,但这里面还有一个心态问题:如果你认为,写了注释,就可以提高代码质量,就可以证明实力,那就错了,事情并没有那么简单. 相信一定有人在写注释的时候,没有把握正确的心态,这就导致写出来的注释往往不合时宜.什么是不合时宜的注释?我就写过这样的注释: -- '打开			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/lpPEWZz.html" rel="bookmark">提前认识软件开发&lpar;26&rpar; 数据库脚本的注释</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 概述 注释在程序语言的编写中占有非常重要的地位.优美的.得当的注释不仅有助于研发人员理解程序,还能够提高编程效率(进而提高办事效率). 但是,可能是由于工作比较忙的缘故,许多开发人员不重视注释的书写,这也导致了项目交接的时候,其他开发人员理解程序困难,甚至不知道程序到底要做什么事情.因此,良好注释的书写是对一个开发人员的基本要求,大家一定要重视. 对于脚本的注释,建议大家一律采用英文,这样可以体现出国际化.专业性与规范性. 2. 数据库脚本文件头部的注释 很多脚本文件都没有头部的注释,大家			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx2ZBOz.html" rel="bookmark">让你提前认识软件开发&lpar;26&rpar;：数据库脚本的注释</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				第2部分 数据库SQL语言 数据库脚本的注释   1. 概述         注释在程序语言的编写中占有非常重要的地位.优美的.得当的注释不仅有助于研发人员理解程序,还能够提高编程效率(进而提高办事效率).         但是,可能是由于工作比较忙的缘故,许多开发人员不重视注释的书写,这也导致了项目交接的时候,其他开发人员理解程序困难,甚至不知道程序到底要做什么事情.因此,良好注释的书写是对一个开发人员的基本要求,大家一定要重视.         对于脚本的注释,建议大家一律采用英文,这样可以			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMgYlEz.html" rel="bookmark">把内链当外链 自然链接时代内链建设的五点建议</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  Lee在谈好的外链的时候,用一个词就概况了:自然链接.其实当我们反思网站内部链接的时候,也是同样的道理,什么样的内链是好内链?自然链接.很多人简单的将内链认为是各种随意的链接,但我认为这更需要引起人们的注意,本文强调内链乱砌的问题.为了避免由于内链乱砌造成的SEO问题,我根据一些经验提出五点建议: 1.不要随意使用自动内链插件 自动内链可能带来隐患.它们会使文章内爬满链接,扰乱读者视线.太多的链接会分散权重.我们应该紧紧将内部链接的建设权限掌控在自己手中.我的建议是,安装一个非常好控制的插件			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Lp5nYRz.html" rel="bookmark">提前认识软件开发&lpar;31&rpar; 数据库脚本中的begin与end</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在数据库脚本中,begin与end是一对奇怪的单词.缺少它们,某些代码看起来会让人一头雾水:添加它们,代码的结构瞬间就清晰了. 确实,begin与end作为代码语句的开始和结束标志,可以让脚本程序的逻辑明确,易于阅读. begin与end主要用在以下地方: 1. if.else.else if.while等语句中 if.else.else if.while等语句要自占一行,执行语句不得紧跟其后,不论执行语句有多少都要加语句块标志begin-end. 脚本文件中的begin和end应独占一行并且位			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/OMgxPEp.html" rel="bookmark">提前认识软件开发&lpar;30&rpar; 数据库脚本中的空行与空格</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在数据库脚本中,空行与空格起着&quot;锦上添花&quot;的作用.恰当地使用它们,可以提高代码的规范性及可阅读性,进而提升数据库的编程效率. 1. 空行 空行起着分隔脚本段落的作用,适当的空行可以使脚本的布局更加的清晰.空行的作用有以下几个: (1) 用于分隔两个数据表的创建脚本 示例: create table tb_example1 ( [表内容实现代码] ) go -- 空行 create table tb_example2 ( [表内容实现代码] ) go (2) 用于分割两个存储过程的创建脚			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgVkWBb.html" rel="bookmark">unity3d-unity脚本中使用Instantiate创建GameObject的实例时，如何设置实例的脚本的参数</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 unity脚本中使用Instantiate创建GameObject的实例时,如何设置实例的脚本的参数 例如: Create是某个脚本类(即public class 某某某 : MonoBehaviour)中的方法,该方法要在必然事件Update中调用(这个前提不能改变). bulletType是GameObject的实例,该变量对应的prefab有脚本BulletForward 脚本BulletForward的脚本类有属性velocity. private void Create(fl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeREnNb.html" rel="bookmark">如何在Shell脚本中执行语法检查调试模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们开启了 Shell 脚本调试系列文章,先是解释了不同的调试选项,下面介绍如何启用 Shell 调试模式. 写完脚本后,建议在运行脚本之前先检查脚本中的语法,而不是查看它们的输出以确认它们是否正常工作. 在本系列的这一部分,我们将了解如何使用语法检查调试模式.记住我们之前在本系列的第一部分中解释了不同的调试选项,在这里,我们将使用它们来执行脚本调试. 启用 verbose 调试模式 在进入本指导的重点之前,让我们简要地探索下 verbose 模式.它可以用 -v 调试选项来启用,它会告诉 sh			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mq73LYz.html" rel="bookmark">如何在 Shell 脚本中执行语法检查调试模式</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				我们开启了 Shell 脚本调试系列文章,先是解释了不同的调试选项,下面介绍如何启用 Shell 调试模式. 写完脚本后,建议在运行脚本之前先检查脚本中的语法,而不是查看它们的输出以确认它们是否正常工作. 在本系列的这一部分,我们将了解如何使用语法检查调试模式.记住我们之前在本系列的第一部分中解释了不同的调试选项,在这里,我们将使用它们来执行脚本调试. 启用 verbose 调试模式 在进入本指导的重点之前,让我们简要地探索下 verbose 模式.它可以用 -v 调试选项来启用,它会告诉 sh			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LpdEGNz.html" rel="bookmark" class="title">光猫、光电转换器、光纤收发器三个设备有什么区别</a>
					<div>
						  [网友提问]:一直弄不清楚到底光电转换器.光纤收发器.光猫.光模块之间有什么区别? [答]:光模块是插在路由器或交换机上的,不能独立使用,属于其他设备的一部分. 而网友提到的(光电转换器.光纤收发 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMl4EYM.html" rel="bookmark" class="title">&lbrack;狐狸谈网站系列四&rsqb;谈什么也别谈联盟</a>
					<div>
						大家好,我是狐狸,很高兴继续和大家以文章交流.今天,我们要说的是:谈什么也谈什么也别谈联盟 网站联盟,一个在广告主和网站长之间的载体,作为中间载体,做到了两面都不是人,两面都得罪人的载体. 有很多站长 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lpdnjxb.html" rel="bookmark" class="title">整合Discuz用户登陆代码</a>
					<div>
						本例以整合home为例 home的登录系统中加入的防伪码主要是三个: define('IN_UCHOME','asdfasdf'); // 加载dzhome的基本配置文件 include .'/hom ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlyjNp.html" rel="bookmark" class="title">交互设计存在的意义</a>
					<div>
						最近交互设计到底做什么又开始成为一个经常听到的话题.UED团队里交互设计尽管已经占据了相当的比例,但无论是视觉设计师还是前端工程师都对于交互设计的 工作知之甚廖,更遑论PD和工程开发了.在百网培训的时 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpneBAM.html" rel="bookmark" class="title">在C&num;中使用微软AGENT之TTS</a>
					<div>
						微软 微软AGENT简介  微软Agent API能够提供卡通角色的显示,另外,它还可以支持语音识别,因此应用软件可以对语音命令作出反应,而卡通角色可以通过合成的语音.录制好的音频信号或文字对命令作出 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeEW8z.html" rel="bookmark" class="title">网络推广从建站开始 网站建设优化十八种推广途径</a>
					<div>
						    深圳网站建设,网站制作公司小编张瑜,经过大量的理论实践为大家整理出网站建设中的十八种网络推广途径: 1. 网页标题 网页标题的字数应在8-20个字,最多不超过25字(含标点);标题含有至少1个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDOPBp.html" rel="bookmark" class="title">网站seo优化过程中的致命细节</a>
					<div>
						大家都知道网站在做seo优化的过程中要把握的一些重点,诸如内容的更新.外链的建设等等.但是有一些优化过程中的小细节也决不能忽视,这些小细节虽然并不能直接的为网站带来多好的排名,或者多少的流量,但是往往 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bok7gb.html" rel="bookmark" class="title">医疗行业seo团队之seo编辑工作重心</a>
					<div>
						笔者发现很多seo团队在医疗行业推广工作中对seo编辑这一块不够重视,其实一个医疗网站的seo编辑是很关键的.笔者一年多来一直负责医疗网站的seo和策划推广,个人觉得seo编辑工作的核心应该围绕网站目 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd77PxM.html" rel="bookmark" class="title">Bluff--JavaScrip中的美丽图表</a>
					<div>
						Bluff是Ruby的JavaScript Gruff图形库(Gruff graphing library)接口.它以最小限度的依赖程度支持Gruff的所有特征:你所需要启动的唯一第三方脚本是JS.C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7QPmM.html" rel="bookmark" class="title">ie7&period;0常用快捷键</a>
					<div>
						作为Windows Vista的最重要组件改进之一,IE 7.0在功能和安全性上都相对IE 6有了大幅提升,对于不习惯Firefox的用户来说,熟悉IE 7的快捷设置能够大幅提高网页浏览效率,节省宝贵 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNEJQxb.html" rel="bookmark" class="title">深入分析驴子系列（2）</a>
					<div>
						在 BOOL CemuleApp::InitInstance() 函数 的 672行(VERIFY( (m_hTimer = ::SetTimer(NULL, NULL, 300, StartupTi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvK5L9p.html" rel="bookmark" class="title">如何获得CPU使用率</a>
					<div>
						NT/2000方法: #include &lt;windows.h&gt;#include &lt;conio.h&gt;#include &lt;stdio.h&gt;#define SystemB ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW1q7rz.html" rel="bookmark" class="title">体验AspNet MVC Preview5&lpar;2&rpar;-实战自定义View及多ViewEngine协作</a>
					<div>
						在上篇中,我们分别了解了两个系统对ViewEngine的处理,那么接下来我们来实战一下,使用asp.net mvc p5来添加自己的ViewEngine并同时使用多个ViewEngine来呈现数据.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwE0Qz.html" rel="bookmark" class="title">MySQL查询随机数据的4种方法和性能对比</a>
					<div>
						 从MySQL随机选取数据也是我们最常用的一种发发,其最简单的办法就是使用&quot;ORDER BY RAND()&quot;,本文介绍了包括ORDER BY RAND()的4种获取随机数据的方法, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8j85Nb.html" rel="bookmark" class="title">YY浏览器如何卸载&quest;</a>
					<div>
						方法一:首先安装了360安全卫士的朋友可以在&quot;软件管家&quot;中点击&quot;软件卸载&quot;===&quot;一键卸载&quot; 方法二:点击开始==控制面板==&quot;卸 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnxGGob.html" rel="bookmark" class="title">有哪些色彩丰富的极简APP设计？</a>
					<div>
						  自从几个互联网公司的产品带领了白色简洁设计,所以现在在国内不用白色的设计便不能叫做好设计.我们打开所有的应用,从娱乐到阅读,到社交工具到备份工具等等,一切都是白色.这一期我们来洗洗脑吧,看看国外优 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0WOr0b.html" rel="bookmark" class="title">win8系统宽带连接提示错误628代码的解决方法</a>
					<div>
						  最近,有一位win8系统电脑用户跟小编反映说,宽带连接连接补上,系统提示错误628代码.那么,代码628代表的是宽带出现了什么故障呢?win8系统宽带连接提示错误628代码该怎么解决呢?一起来看看 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7r3Vb.html" rel="bookmark" class="title">Android仿人人网滑动侧边栏效果&lowbar;Android</a>
					<div>
						很多应用为了节省空间而又使界面能够充足的显示信息,大多数应用都采用了侧边栏的方式,如下图:        来说说它的思路,底下是两个或多个视图,分别通过控制它们的宽度.左边距来控制它们的显示,来看看代 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWdZlp.html" rel="bookmark" class="title">jQuery中&semi;function&lpar;&dollar;&comma;undefined&rpar; 前面的分号的用处&lowbar;jquery</a>
					<div>
						;(function($){$.extend($.fn... 一般在一些 JQuery 函数前面有分号,在前面加分号可以有多种用途: 1.防止多文件集成成一个文件后,高压缩出现语法错误. 2.这是一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zVNQaQz.html" rel="bookmark" class="title">servlet xml配置问题，404错误</a>
					<div>
						问题描述 importjavax.servlet.*;importjavax.servlet.http.*;importjava.io.*;importjava.util.*;publicclassH ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkw0q1p.html" rel="bookmark" class="title">Spring中使用WebService</a>
					<div>
						Server端和Client端的Web工程截图: Server代码: [html] view plain copy  print? package com.wiseweb.bean;      pub ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWvn4p.html" rel="bookmark" class="title">&lbrack;经典面试题&rsqb;k节点一组旋转链表</a>
					<div>
						[题目] 给出一个链表和一个数k,比如链表1→2→3→4→5→6,k=2,则翻转后2→1→4→3→6→5,若k=3,翻转后3→2→1→6→5→4,若k=4,翻转后4→3→2→1→5→6. 如果节点的数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0QX9Jp.html" rel="bookmark" class="title">使用keychain永久存储数据</a>
					<div>
						使用keychain永久存储数据 https://github.com/soffes/sskeychain keychain当然还是使用开源的好:),keychain是干啥用的?这个,baidu一下你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGAVEEM.html" rel="bookmark" class="title">凭啥Java运行环境称虚拟机 Python只能称解释器</a>
					<div>
						这个问题估计想过的人不多,先找维基百科看一下虚拟机的定义. 虚拟机的定义有2个,一种是类似Vmware的系统虚拟机,另一种是虚拟机称之为程序虚拟机,诸如JVM,CLR就是最常见到的虚拟机. 程序虚拟机 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94XVVb.html" rel="bookmark" class="title">ASM 3&mdash;&mdash;实现ASM磁盘的两种方式：asmlib、udev</a>
					<div>
						1.asmlib的介绍 ASMLib的是Oracle数据库10g及以上版本的自动存储管理功能的支持库. Oracle提供了该库的Linux的具体实现.关于asmlib程序的介绍,可以参考如下文档: h ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAeBZM.html" rel="bookmark" class="title">登录织梦后台提示用户名不存在的解决办法</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 笔者的一个网站,前一天还是正常的, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY56dxM.html" rel="bookmark" class="title">大数据：大量商业价值被浪费</a>
					<div>
						Ayasdi的联合创始人兼CEO Gurjeet Singht认为:从查询开始分析数据本身就是一个死胡同,并指出了当下http://www.aliyun.com/zixun/aggregation/1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5OL5M.html" rel="bookmark" class="title">javascript中函数可以看成一个对象吗？</a>
					<div>
						问题描述 javascript中函数可以看成一个对象吗? 初学Javascript看到了这样一段代码if (!Date.now) Date.now = function() { return +new ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAxNEb.html" rel="bookmark" class="title">筛法求素数（java）</a>
					<div>
						import java.util.Scanner; public class primeShaifa { public static void main(String[] args) { int n; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nkyDz.html" rel="bookmark" class="title">&OpenCurlyDoubleQuote;启智创新 连接未来&rdquo;2016中国移动互联网年会在京举办</a>
					<div>
						6月21日,由中国互联网协会移动互联网工作委员会主办的&quot;2016中国移动互联网年会&quot;在北京国际会议中心举行.今年年会的主题是&quot;启智创新,连接未来&quot;,与往年相比, ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
